[CentOS-announce] ConfigManagement SIG : removal of old/unmaintained ansible versions

Fabian Arrotin

arrfab at centos.org
Tue Feb 2 12:48:17 UTC 2021


Notification:

So far, the ConfigManagement SIG rebuilt and shipped some Ansible
versions through different repos (per "branch") over the last
months/years , so we currently still have on mirror.centos.org (and so
external mirrors) the following repositories :

For CentOS 7:
- ansible 2.6
- ansible 2.7
- ansible 2.8
- ansible 2.9

For CentOS 8 (also working on 8-stream) :
- ansible 2.9

Per Ansible EOL policy (see
https://docs.ansible.com/ansible/devel/reference_appendices/release_and_maintenance.html)
we'll continue to maintain 2.8 (security fixes if they appear) and 2.9
but we'll remove previous versions/repositories.

Worth knowing that they'd still be available through vault.centos.org
though, but not available directly through a centos-release-ansible*.rpm
(configuring yum/dnf repositories on systems)

So far I never had a chance/time to look at ansible 2.10, as there is a
split between ansible-base and ansible-core and then collections.
My goal would be to discuss with EPEL/Fedora maintainer (Kevin Fenzi)
about the best way to have it working and then we can start (re)building
through configmanagement tags on https://cbs.centos.org

Kind Regards,
-- 
Fabian Arrotin
The CentOS Project | https://www.centos.org
gpg key: 17F3B7A1 | twitter: @arrfab


More information about the CentOS-announce mailing list